Revert "test: Break on test script (or other) error"

This reverts commit f22a7ec1e2.

Interrupting the test suite due to an actual bug in a test script
would be just fine, but interrupting the run of the entire test suite
at the first test failure is unacceptable.
This commit is contained in:
Carl Worth 2010-12-07 15:28:44 -08:00
parent b41aab78f2
commit da805c4cdb

View file

@ -14,20 +14,12 @@ if [ ${BASH_VERSINFO[0]} -lt 4 ]; then
exit 1 exit 1
fi fi
set -e
die () {
echo >&2 "Unexpected failure"
}
trap 'die' 0
cd $(dirname "$0") cd $(dirname "$0")
TESTS="basic new search search-output json thread-naming raw reply dump-restore uuencode thread-order author-order from-guessing long-id encoding emacs maildir-sync" TESTS="basic new search search-output json thread-naming raw reply dump-restore uuencode thread-order author-order from-guessing long-id encoding emacs maildir-sync"
# Clean up any results from a previous run # Clean up any results from a previous run
rm -rf test-results >/dev/null 2>/dev/null rm -r test-results >/dev/null 2>/dev/null
# Run the tests # Run the tests
for test in $TESTS; do for test in $TESTS; do
@ -39,5 +31,3 @@ done
# Clean up # Clean up
rm -r test-results corpus.mail rm -r test-results corpus.mail
trap '' 0